Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.jpdl.el.impl
Class BinaryOperatorExpression

    java.lang.Object
      org.jbpm.jpdl.el.impl.Expression
          org.jbpm.jpdl.el.impl.BinaryOperatorExpression

    public class BinaryOperatorExpression

extends Expression

An expression representing a binary operator on a value

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author$
Author:
  Nathan Abramson - Art Technology Group, Shawn Bayern

Constructor Summary
`BinaryOperatorExpression(Expression pExpression, java.util.List pOperators, java.util.List pExpressions)` Constructor

Method Summary
`java.lang.Object` | `evaluate(VariableResolver pResolver, FunctionMapper functions, Logger pLogger)` Evaluates to the literal value
`Expression` | `getExpression()`
`java.util.List` | `getExpressions()`
`java.lang.String` | `getExpressionString()` Returns the expression in the expression language syntax
`java.util.List` | `getOperators()`
`void` | `setExpression(Expression pExpression)`
`void` | `setExpressions(java.util.List pExpressions)`
`void` | `setOperators(java.util.List pOperators)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryOperatorExpression

    public BinaryOperatorExpression(Expression pExpression,
                                    java.util.List pOperators,
                                    java.util.List pExpressions)

  Constructor

Method Detail

### getExpression

    public Expression getExpression()

### setExpression

    public void setExpression(Expression pExpression)

### getOperators

    public java.util.List getOperators()

### setOperators

    public void setOperators(java.util.List pOperators)

### getExpressions

    public java.util.List getExpressions()

### setExpressions

    public void setExpressions(java.util.List pExpressions)

### getExpressionString

    public java.lang.String getExpressionString()

  Returns the expression in the expression language syntax

  Specified by:
    `getExpressionString` in class `Expression`

### evaluate

    public java.lang.Object evaluate(VariableResolver pResolver,
                                     FunctionMapper functions,
                                     Logger pLogger)
                              throws ELException

  Evaluates to the literal value

  Specified by:
    `evaluate` in class `Expression`
  Throws:
    `ELException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD